2018-03-19 05:33 EDT

View Issue Details Jump to Notes ]
IDProjectCategoryView StatusLast Update
0002145FSSCPBuild systempublic2010-05-29 06:54
Assigned Tochief1983 
Product Version3.6.11 
Target VersionFixed in Version3.6.12 
Summary0002145: linux autogen.sh needs update for automake-1.10 and autoconf 1.10
DescriptionSo, my solaris box uses autotools v 1.10. autogen.sh does a version check, but doesn't go up to 1.10 yet.

Someone with SVN access will need to apply the following changes:

line 43. Change from:
for AM in automake-1.9 automake-1.8 automake-1.7 automake-1.6
for AM in automake-1.10 automake-1.9 automake-1.8 automake-1.7 automake-1.6

line 59. Change from
for ACL in aclocal-1.9 aclocal-1.8 aclocal-1.7 aclocal-1.6
for ACL in aclocal-1.10 aclocal-1.9 aclocal-1.8 aclocal-1.7 aclocal-1.6

There may be a better way to implement version checking, maybe like...
"aclocal --version | head -n 1 | cut -f 4 -d\ "
TagsNo tags attached.
Attached Files




taylor (administrator)

We probably just need to switch to using the autoconf.sh from the buildconf project, or just something else more complete (ie. less hacked together). I'm attaching the current version. It would probably need to be tested a bit more thoroughly before getting added to SVN. I'm pretty sure that it should work far better than what we currently use though.


rsaxvc (reporter)

That autogen.sh you posted does work as well as the other- had to add automake-1.10 and aclocal-1.10 to it.

It seems that the default for solaris is not to create symlinks for automake and aclocal.


chief1983 (administrator)

Not making symlinks sounds like a pretty big problem.


rsaxvc (reporter)

It is, when using real buildscripts. Ours have a manual search though.

My problem right now is that the CD installer uses a different keymap than the installed os, so my root password is meaningless, meaning no new symlinks.


taylor (administrator)


-Issue History
Date Modified Username Field Change
2010-02-28 20:42 rsaxvc New Issue
2010-02-28 20:42 rsaxvc Status new => assigned
2010-02-28 20:42 rsaxvc Assigned To => chief1983
2010-02-28 21:54 taylor Note Added: 0011724
2010-02-28 21:54 taylor File Added: autogen.sh.gz
2010-03-01 00:21 rsaxvc Note Added: 0011726
2010-03-01 11:04 chief1983 Note Added: 0011731
2010-03-01 19:45 rsaxvc Note Added: 0011732
2010-05-29 06:54 taylor Note Added: 0012015
2010-05-29 06:54 taylor Status assigned => resolved
2010-05-29 06:54 taylor Fixed in Version => 3.6.12
2010-05-29 06:54 taylor Resolution open => fixed
+Issue History